For AI agents: a documentation index is available at the root level at /llms.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Gets an appointment along with it's full history. The return list is ordered by version ascending.
Authentication
AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
Path parameters
idstringRequired
The unique identifier for an Appointment.
Response
deactivatedboolean
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
idstring
The unique identifier for an Appointment.
organization_idstring
The organization that owns this object.
patient_idstring
The Taiga-defined patient identifier.
service_durationinteger
The requested length of time allotted for the appointment. The units are in minutes.
serviceslist of objects
start_timestampdatetime
updated_atdatetime
updating_user_idstring
The user ID of the user who last updated the object.
versioninteger
The version of the object. Any update to any property of an object object will create a new version.
appointment_detailsstring or nullOptional
appointment_reason_detailobject or nullOptional
The clinical context for the appointment.
attending_doctorobject or nullOptional
Attending physician information. The attending physician will be stored as the Current MD for the patient.
automated_eligibility_check_completeboolean or nullOptional
True if the automated eligibility check has been completed. It is not recommended to change this value manually via API. This refers explicitly to the automated eligibility check that occurs a specific number of days before the appointment.
cancellation_reasonstring or nullOptional
The reason the appointment was cancelled. This value cannot be set on create or update; it is only set by the deactivate endpoint, and is cleared if the appointment is reactivated.
checked_in_timestampdatetime or nullOptional
The timestamp when the patient checked in for their appointment. Must be set when status is CHECKED_IN or CHECKED_OUT, and must be unset otherwise.
checked_out_timestampdatetime or nullOptional
The timestamp when the patient checked out of their appointment. Must be set when status is CHECKED_OUT, and must be unset otherwise.
estimated_copay_centsinteger or nullOptional
estimated_patient_responsibility_centsinteger or nullOptional
The estimated amount the patient will be responsible for paying at the time of service. This does not include the copay.
location_resource_idstring or nullOptional
Contains the coded identification of the location being scheduled. Components: <Identifier (ST)>^<Text (ST)>
medical_necessity_verifiedboolean or nullOptional
True if medical necessity for this appointment has been verified.
not_ready_reasonenum or nullOptional
The reason the appointment is NOT_READY. Must only be set when status is NOT_READY; it is cleared otherwise. It is not recommended to change this value manually via API.
notesstring or nullOptional
patient_deposit_centsinteger or nullOptional
placer_appointment_idstring or nullOptional
ID for the appointment/order for the event.
placer_system_namestring or nullOptional
The name of the upstream system that placed this appointment.
prior_authorization_statusenum or nullOptional
The prior authorization status for this appointment.
ready_sourceenum or nullOptional
The method that set the appointment status to READY. It is not recommended to change this value manually via API. Must only be set when the status is READY, CHECKED_IN, CHECKED_OUT or NO_SHOW, it is cleared otherwise.
Allowed values:
statusenum or nullOptional
Defaults to PENDING. If status is NOT_READY, work_queue must be set. If status is READY, CHECKED_OUT, or NO_SHOW, work_queue must be null. checked_in_timestamp must be set if and only if status is CHECKED_IN or CHECKED_OUT, and checked_out_timestamp must be set if and only if status is CHECKED_OUT.
work_queueenum or nullOptional
The work queue that the appointment belongs to. It is not recommended to change this value manually via API. If status is NOT_READY, work_queue must be set. If status is READY, CHECKED_OUT or NO_SHOW, work_queue must be null.